#!/usr/bin/env python

def no_fix(line):
    """ Returns True if 2 of the 3 coords are around 0 """
    def between(value):
        return mini < value < maxi
    coords = line.split(',')[:3]
    coords = map(float, coords)
    mini = -1
    maxi = 1
    coords = map(between, coords)
    return sum(coords) >= 2
    
def dump_line(line):
    if not no_fix(line):
#            try:
        sys.stdout.write(line)
#            except IOError:
#                print >>sys.stderr, 'Finished'
#                break

def get_time(line):
    hour, minute, second = line.rstrip()[-9:-1].split(':')
    return int(hour) * 3600 + int(minute) * 60 + int(second)

def make_time(time):
    hour = time / 3600
    time = time % 3600
    minute = time / 60
    second = time % 60
    return '%02d:%02d:%02d' % (hour, minute, second)

def decrement_time(line):
    line = line.rstrip()
    time = get_time(line)
    start = line[:-9]
    end = line[-1]
    return start + make_time(time - 1) + end + '\n'

if __name__ == '__main__':
    import sys
    
    if len(sys.argv) > 1:
        try:
            infile = open(sys.argv[1])
        except IOError:
            print >>sys.stderr, 'Could not open file', sys.argv[1]
            sys.exit(1)
    else:
        infile = sys.stdin
    prev_time = 0
    prev_point = None
    for i, line in enumerate(infile):
        try:
            time = get_time(line)
        except ValueError:
            print >>sys.stderr, 'error in line', i + 1 
            continue
        if prev_point is not None: # difference was 2
            if time - prev_time == 0:
#                print 'yes!'
                dump_line(decrement_time(prev_point))
            else:
                dump_line(prev_point)
            prev_point = None
        elif time - prev_time == 2:
 #           print 'okaay'
            prev_point = line
            prev_time = get_time(line)
            continue
        dump_line(line)
        prev_time = get_time(line)

    if prev_point:
        dump_line(prev_point)
